<?php
/** @var \Lovata\OrdersShopaholic\Models\ReturnPosition $formModel */
/** @var \Lovata\Shopaholic\Models\Order $obOrder */
$obOrder = $formModel->order;
$obUser = $obOrder->user;
$obPayment = $obOrder->payment_method;
$obPriceData = $formModel->price_data;
$refurnAmount = $obPriceData->price / $formModel->quantity * $formModel->quantity_return;
?>
<?php if (!empty($obOrder)) { ?>
    <div>
        Ordine: <a href="<?= Backend::url('ims/shophelper/ordercontroller/update/'.$obOrder->id) ?>"><?= $obOrder->id ?></a> del <?= $obOrder->created_at ?>
    </div>
<?php } ?>
<?php if (!empty($obUser)) { ?>
<div>
    Utente: <a href="<?= Backend::url('lovata/buddies/users/update/'.$obUser->id) ?>"><?= $obUser->name ?> <?= $obUser->last_name ?></a>
</div>
<div>
    Email: <a href="mailto:<?= $obUser->email ?>"><?= $obUser->email ?></a>
</div>
<?php } ?>
<br>
<?php if (!empty($obPayment)) { ?>
<div>
    Tipo pagamento: <u><?= $obPayment->name  ?></u>
    <br>
    <?php if (array_key_exists('payment_method_id', $obOrder->payment_data) ) { ?>
    ID Transazione: <u><?= $obOrder->payment_data['payment_method_id'] ?></u> <a href="javascript:location.reload();">aggiorna</a>
    <div class="scoreboard" style="margin-top:5px">
        <div class="scoreboard-item title-value">
            <button id="sendShippingEmail" type="button" data-request="onRefundStripe" data-request-data="orderposition:<?= $model->id ?>,amount:0 ?>'" data-load-indicator="Elaborazione rimborso..." class="btn btn-primary" data-disposable="">Effettua rimborso <?= $refurnAmount ?> <?= $formModel->currency_symbol ?></button>
        </div>
    </div>
    <?php } ?>
</div>
<?php } ?>
